function singelem = subsasgn(singelem,index,val)
%SUBSASGN - handles indexed assignments to objects
%
%   the first argument is the object, the second argument a structure array
%   the third one is the value
%
%   Usage:
%      singelem = subsasgn(singelem,index,val)
%
%   See also SUBSREF

singelem=builtin('subsasgn',singelem,index,val);
